#include<bits/stdc++.h>
using namespace std;
int main()
{
	int n,m,k,i;
	scanf("%d%d",&n,&m);
	int d[n+1],u[n+1],l,r,x;
	for(i=1;i<=n;i++)
	 scanf("%d%d",&d[i],&u[i]);
	for(i=1;i<=m;i++)
	{
		scanf("%d%d%d",&l,&r,&x);
		k=0;
		while(l<=r)
		{
			if(x<=u[l] && x>=d[l])
			 k++;
			l++;
		}
		printf("%d\n",k);
	}
	return 0;
}